---
description: Deploy an app to Docker Cloud
keywords: deploy, Python, application
redirect_from:
- /docker-cloud/getting-started/python/1_introduction/
- /docker-cloud/getting-started/golang/1_introduction/
title: Introduction to deploying an app in Docker Cloud
---

In this tutorial you will bring an application to Docker Cloud using either Go
or Python. This tutorial is intended for more advanced beginners who have some
experience with web applications, and who want to learn more about
multi-container services in Docker Cloud.

This tutorial assumes that you have:

- a free <a href="https://hub.docker.com/" target="_blank">Docker ID account</a>.
- at least one node running. If you don't have any nodes set up in Docker Cloud yet, [start here](../../getting-started/your_first_node.md) to set these up.
- Docker Engine installed - see the installation guides for <a href="/engine/installation/" target="_blank">macOS, Windows and Linux</a>. You'll use the `docker login` command to connect to your account in Docker Cloud, so you can run `docker-cloud` CLI commands.

Let's get started!

[Set up your environment](2_set_up.md).
