---
description: Lists the installation methods
keywords: Docker install
redirect_from:
- /installation/
- /engine/installation/linux/frugalware/
- /engine/installation/frugalware/
title: Install Docker Engine
---

Docker Engine is supported on Linux, Cloud, Windows, and macOS. Installation
instructions are available for the following:

## On Linux
* [CentOS](linux/centos.md)
* [Debian](linux/debian.md)
* [Fedora](linux/fedora.md)
* [Oracle Linux](linux/oracle.md)
* [Red Hat Enterprise Linux](linux/rhel.md)
* [openSUSE and SUSE Linux Enterprise](linux/suse.md)
* [Ubuntu](linux/ubuntulinux.md)
* [Other Linux distributions](linux/other.md)

If your linux distribution is not listed above, don't give up yet. To try out
Docker on a different Linux distribution, consider
[installing from binaries](binaries.md).

## On macOS and Windows

* [Docker for Mac](/docker-for-mac/)
* [Docker for Windows](/docker-for-windows/)

## On Cloud

You can use Docker Cloud to automatically provision and manage your cloud instances.

* [Amazon Web Services setup guide](/docker-cloud/infrastructure/link-aws.md)
* [DigitalOcean setup guide](/docker-cloud/infrastructure/link-do.md)
* [Microsoft Azure setup guide](/docker-cloud/infrastructure/link-azure.md)
* [Packet setup guide](/docker-cloud/infrastructure/link-packet.md)
* [SoftLayer setup guide](/docker-cloud/infrastructure/link-softlayer.md)
* [Use the Docker Cloud Agent to Bring your Own Host](/docker-cloud/infrastructure/byoh.md)

We also provide official Docker solutions for running on AWS and Azure. You can read
up on what Docker for AWS and Docker for Azure have to offer you
[here](/docker-for-aws/why/) and [here](/docker-for-azure/why/) respectively.

* [Docker for AWS](/docker-for-aws/)
* [Docker for Azure](/docker-for-azure/)

## Prior releases

Instructions for installing prior releases of Docker can be found in the
[Docker archives](/docsarchive/).

## Get started

After setting up Docker, try learning the basics over at
[Getting started with Docker](/engine/getstarted/), then learn how to deploy
full-blown applications in our [app tutorial](/engine/getstarted-voting-app/).
