---
title: Product and tool manuals
notoc: true
---

The Docker platform is comprised of a family of tools and products. After
learning the general principles of the Docker workflow under [Guides](/), you
can find the documentation for these tools and products here.

## Products

Commercial Docker products that turn your container-based solution into a
production-ready application.

| Product | Description |
| ------- | ----------- |
| [Docker Cloud](/docker-cloud/) | Manages multi-container applications and host resources running on a cloud provider (such as Amazon Web Services) |
| [Universal Control Plane (UCP)](/ucp/overview/) | Manages multi-container applications on a custom host installation (on-premise, on a cloud provider) |
| [Docker Trusted Registry (DTR)](/docker-trusted-registry/) | Runs a private repository of container images and makes them available to a UCP instance |
| [Docker Store](/docker-store/) | Public, Docker-hosted registry that distributes free and paid images from various publishers |
| [CS Docker Engine](/cs-engine/install) | The commercially-supported version of Docker that excludes experimental features and includes customer support |

## Tools

Free downloadables that help your device use Docker containers.

| Tool | Description |
| ---- | ----------- |
| [Docker for Mac](/docker-for-mac/) | Docker desktop solution that includes everything a developer needs to create and test applications on a Mac |
| [Docker for Windows](/docker-for-windows) | Docker desktop solution that includes everything a developer needs to create and test applications on a Windows system|
| [Docker for Linux](/engine/installation/#on-linux) | Installation guides for running Docker on all supported Linux distros. |
| [Docker Compose](/compose/overview/) | Enables you to define, build, and run multi-container applications |
| [Docker Notary](/notary/getting_started/) | Allows the signing of container images to enable Docker Content Trust |
| [Docker Registry](/registry/) | The software that powers Docker Hub and Docker Store, Registry stores and distributes container images |


## Superseded products and tools

* [Docker Hub](/docker-hub/) - Superseded by Docker Store and Docker Cloud
* [Docker Swarm](/swarm/overview/) - Functionality folded directly into native Docker, no longer a standalone tool
* [Docker Toolbox](/toolbox/overview/) - Superseded by Docker for Mac and Windows
